package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartarFarmAllStatusEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EartarFarmAllStatusRepo extends JpaRepository<EartarFarmAllStatusEntity, Integer>, JpaSpecificationExecutor<EartarFarmAllStatusEntity> {

    @Query(nativeQuery = true,value = "SELECT * FROM eartar_farm_all_status WHERE farm_id=?1 AND DATE_FORMAT(create_date,'%Y-%m-%d')=DATE_FORMAT(?2,'%Y-%m-%d')")
    EartarFarmAllStatusEntity getOneByFarmIdAndCreateDate(String farmId,String todayDateText);
}