package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagDataEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EartagDataRepo extends JpaRepository<EartagDataEntity, Integer>, JpaSpecificationExecutor<EartagDataEntity> {
    //--查询最新到耳标记录
    @Query(nativeQuery = true,value = "SELECT * FROM eartag_data WHERE device=?1 ORDER BY id DESC LIMIT 1")
    EartagDataEntity getLastEartagData(String deviceCode);
}